package com.semsx.android.home.locker

import android.accessibilityservice.AccessibilityService
import android.accessibilityservice.AccessibilityServiceInfo
import android.app.KeyguardManager
import android.content.Context
import android.view.accessibility.AccessibilityEvent


class CheckWindowStateService : AccessibilityService() {
    
    companion object {
        const val LOCK_PACKAGE_NAME = "com.semsx.shoose.system.mobile"
    }

    private var disableTemp: Boolean = false

    override fun onInterrupt() {
    }

    override fun onServiceConnected() {
        super.onServiceConnected()
    }

    override fun onAccessibilityEvent(event: AccessibilityEvent?) {
        if (event?.packageName == "com.android.settings") {
            if (event.source == null) {
                return
            }
            // WLAN            
            if (event.source?.findAccessibilityNodeInfosByText("WLAN")?.isEmpty() == false
                || event.source?.findAccessibilityNodeInfosByText("Wifi")?.isEmpty() == false
                || event.source?.findAccessibilityNodeInfosByText("Wi-Fi")?.isEmpty() == false
            ) {
                disableTemp = true
                return
            }
        }
        if (disableTemp) {
            // 回到主题界面，恢复检测
            if (event?.packageName == LOCK_PACKAGE_NAME) {
                disableTemp = false
                return
            }
            // 禁用通知栏
            if (event?.packageName == "com.android.systemui") {
                performGlobalAction(GLOBAL_ACTION_HOME)
            }
            return
        }
        if ((getSystemService(Context.KEYGUARD_SERVICE) as KeyguardManager).isKeyguardLocked) {
            return
        }
        if (event?.packageName != LOCK_PACKAGE_NAME
            && event?.packageName != packageName
            && event?.packageName != "com.android.systemui"
            && event?.packageName != "android"
        ) {
            disableTemp = false
            performGlobalAction(GLOBAL_ACTION_HOME)
        }
    }

}
